# Generated from jruby-jars-10.0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jruby-jars

Name: rubygem-%{gem_name}
Version: 10.0.0.1
Release: 1%{?dist}
Summary: The core JRuby code and the JRuby stdlib as jar files
License: EPL-2.0 and GPL-2.0 and LGPL-2.1
URL: https://github.com/jruby/jruby/tree/master/maven/jruby-jars
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This gem includes JRuby core and the Ruby standard library as jar files.
It provides a way to have other gems depend on JRuby without including (and
freezing to) a specific jruby-complete jar version.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/DEV_INSTRUCTIONS
%{gem_instdir}/Mavenfile
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.txt
%{gem_instdir}/jruby-jars.gemspec

%changelog
* Wed May 07 2025 mockbuilder - 10.0.0.1-1
- Initial package
